<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXTabbar类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_tabbar.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#properties">属性</a> &#124;
<a href="interface_x_h_x_tabbar-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXTabbar类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXTabbar 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_tabbar.png" usemap="#XHXTabbar_map" alt=""/>
  <map id="XHXTabbar_map" name="XHXTabbar_map">
<area href="interface_k_o_tab_bar.html" alt="KOTabBar" shape="rect" coords="0,112,79,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:acfd1ca9501397500ff3b4dfb2ef6ce15"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#acfd1ca9501397500ff3b4dfb2ef6ce15">selectedItem</a></td></tr>
<tr class="separator:acfd1ca9501397500ff3b4dfb2ef6ce15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe90e67ab18946cc5324b5543627f55d"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#abe90e67ab18946cc5324b5543627f55d">setTitles:</a></td></tr>
<tr class="separator:abe90e67ab18946cc5324b5543627f55d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f3d7862d354fbc676faf051a30a5de3"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a2f3d7862d354fbc676faf051a30a5de3">setIndicatorInsets:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a2f3d7862d354fbc676faf051a30a5de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84895d39031a0af0f7e9c60cee8c589a"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a84895d39031a0af0f7e9c60cee8c589a">setIndicatorSize:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a84895d39031a0af0f7e9c60cee8c589a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3120365b63b1ca225322ac8dbbba1bf6"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a3120365b63b1ca225322ac8dbbba1bf6">setIndicatorPosition:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a3120365b63b1ca225322ac8dbbba1bf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04b146d2d9a00eea9029c0760d645dff"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a04b146d2d9a00eea9029c0760d645dff">setIndicatorWidthFixTextAndMarginTop:marginBottom:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a04b146d2d9a00eea9029c0760d645dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf0eeac5ee883e0eaca1b58139b10e04"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#acf0eeac5ee883e0eaca1b58139b10e04">setItemContentHorizontalCenterWithVerticalOffset:spacing:</a></td></tr>
<tr class="separator:acf0eeac5ee883e0eaca1b58139b10e04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85c939bc6e654d12c1a809486e74f40e"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a85c939bc6e654d12c1a809486e74f40e">setNumberBadgeMarginTop:centerMarginRight:titleHorizonalSpace:titleVerticalSpace:</a></td></tr>
<tr class="separator:a85c939bc6e654d12c1a809486e74f40e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a447abd7695d499b7a92fdd752df9b298"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a447abd7695d499b7a92fdd752df9b298">setDotBadgeMarginTop:centerMarginRight:sideLength:</a></td></tr>
<tr class="separator:a447abd7695d499b7a92fdd752df9b298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a084470d2209a9b1dbd3c006f24fe1d0a"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a084470d2209a9b1dbd3c006f24fe1d0a">setTabItemsVerticalLayout</a></td></tr>
<tr class="separator:a084470d2209a9b1dbd3c006f24fe1d0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e59707edd0d9a341634d9b8b572d993"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a5e59707edd0d9a341634d9b8b572d993">setTabItemsVerticalLayoutWithItemHeight:</a></td></tr>
<tr class="separator:a5e59707edd0d9a341634d9b8b572d993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e637221e2895597c5549fc5bd24e75d"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a8e637221e2895597c5549fc5bd24e75d">setScrollEnabledAndItemWidth:</a></td></tr>
<tr class="separator:a8e637221e2895597c5549fc5bd24e75d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d2b891b6c4149ed725c7d6060e0eb0f"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a7d2b891b6c4149ed725c7d6060e0eb0f">setScrollEnabledAndItemFitTextWidthWithSpacing:</a></td></tr>
<tr class="separator:a7d2b891b6c4149ed725c7d6060e0eb0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad35ad078a3b2bc98d5684d4d403f488e"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#ad35ad078a3b2bc98d5684d4d403f488e">setScrollEnabledAndItemFitTextWidthWithSpacing:minWidth:</a></td></tr>
<tr class="separator:ad35ad078a3b2bc98d5684d4d403f488e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d945b098a2c27d15f387dc9c0619a27"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a3d945b098a2c27d15f387dc9c0619a27">updateSubViewsWhenParentScrollViewScroll:</a></td></tr>
<tr class="separator:a3d945b098a2c27d15f387dc9c0619a27"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:ab3e65e6a08789fb89c27445cf5e0dba0"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">delegate</a></td></tr>
<tr class="separator:ab3e65e6a08789fb89c27445cf5e0dba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbfabce47d56f30217ee488b6bda2a1e"><td class="memItemLeft" align="right" valign="top">NSArray&lt; <a class="el" href="interface_x_h_x_tab_item.html">XHXTabItem</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">items</a></td></tr>
<tr class="separator:afbfabce47d56f30217ee488b6bda2a1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab61cd8f6987abbc9fb6ab953cc39c3b3"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ab61cd8f6987abbc9fb6ab953cc39c3b3">indicatorColor</a></td></tr>
<tr class="memdesc:ab61cd8f6987abbc9fb6ab953cc39c3b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">指示器颜色  <a href="interface_x_h_x_tabbar.html#ab61cd8f6987abbc9fb6ab953cc39c3b3">更多...</a><br /></td></tr>
<tr class="separator:ab61cd8f6987abbc9fb6ab953cc39c3b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f6cd4d65bbef86bdf40025e700bba71"><td class="memItemLeft" align="right" valign="top">UIImage *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a8f6cd4d65bbef86bdf40025e700bba71">indicatorImage</a></td></tr>
<tr class="memdesc:a8f6cd4d65bbef86bdf40025e700bba71"><td class="mdescLeft">&#160;</td><td class="mdescRight">指示器图片  <a href="interface_x_h_x_tabbar.html#a8f6cd4d65bbef86bdf40025e700bba71">更多...</a><br /></td></tr>
<tr class="separator:a8f6cd4d65bbef86bdf40025e700bba71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d3f4746b4acba69f9cff3fb09341bb"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a12d3f4746b4acba69f9cff3fb09341bb">indicatorRadius</a></td></tr>
<tr class="memdesc:a12d3f4746b4acba69f9cff3fb09341bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">指示器圆角  <a href="interface_x_h_x_tabbar.html#a12d3f4746b4acba69f9cff3fb09341bb">更多...</a><br /></td></tr>
<tr class="separator:a12d3f4746b4acba69f9cff3fb09341bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee6a516a5fb149e96e648f4df5dd71d"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#adee6a516a5fb149e96e648f4df5dd71d">itemTitleColor</a></td></tr>
<tr class="memdesc:adee6a516a5fb149e96e648f4df5dd71d"><td class="mdescLeft">&#160;</td><td class="mdescRight">标题颜色  <a href="interface_x_h_x_tabbar.html#adee6a516a5fb149e96e648f4df5dd71d">更多...</a><br /></td></tr>
<tr class="separator:adee6a516a5fb149e96e648f4df5dd71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa90ed32ff3e9159bd9ef774120baad42"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aa90ed32ff3e9159bd9ef774120baad42">itemTitleSelectedColor</a></td></tr>
<tr class="memdesc:aa90ed32ff3e9159bd9ef774120baad42"><td class="mdescLeft">&#160;</td><td class="mdescRight">选中时标题颜色  <a href="interface_x_h_x_tabbar.html#aa90ed32ff3e9159bd9ef774120baad42">更多...</a><br /></td></tr>
<tr class="separator:aa90ed32ff3e9159bd9ef774120baad42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac77c5041eabf4225149e38687fc2c720"><td class="memItemLeft" align="right" valign="top">UIFont *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ac77c5041eabf4225149e38687fc2c720">itemTitleFont</a></td></tr>
<tr class="memdesc:ac77c5041eabf4225149e38687fc2c720"><td class="mdescLeft">&#160;</td><td class="mdescRight">标题字体  <a href="interface_x_h_x_tabbar.html#ac77c5041eabf4225149e38687fc2c720">更多...</a><br /></td></tr>
<tr class="separator:ac77c5041eabf4225149e38687fc2c720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeac3462e1729b0f49caef4ac500dd88b"><td class="memItemLeft" align="right" valign="top">UIFont *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aeac3462e1729b0f49caef4ac500dd88b">itemTitleSelectedFont</a></td></tr>
<tr class="memdesc:aeac3462e1729b0f49caef4ac500dd88b"><td class="mdescLeft">&#160;</td><td class="mdescRight">选中时标题字体  <a href="interface_x_h_x_tabbar.html#aeac3462e1729b0f49caef4ac500dd88b">更多...</a><br /></td></tr>
<tr class="separator:aeac3462e1729b0f49caef4ac500dd88b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab764aa5e1e88498b4012b3699337fcdb"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ab764aa5e1e88498b4012b3699337fcdb">badgeBackgroundColor</a></td></tr>
<tr class="memdesc:ab764aa5e1e88498b4012b3699337fcdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">badge背景颜色  <a href="interface_x_h_x_tabbar.html#ab764aa5e1e88498b4012b3699337fcdb">更多...</a><br /></td></tr>
<tr class="separator:ab764aa5e1e88498b4012b3699337fcdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f016a28a26a1fd8ee49b0b07101fb28"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a2f016a28a26a1fd8ee49b0b07101fb28">badgeTitleColor</a></td></tr>
<tr class="memdesc:a2f016a28a26a1fd8ee49b0b07101fb28"><td class="mdescLeft">&#160;</td><td class="mdescRight">badge标题颜色  <a href="interface_x_h_x_tabbar.html#a2f016a28a26a1fd8ee49b0b07101fb28">更多...</a><br /></td></tr>
<tr class="separator:a2f016a28a26a1fd8ee49b0b07101fb28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a264e6def38d8e0635b5ce807d06b2072"><td class="memItemLeft" align="right" valign="top">UIFont *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a264e6def38d8e0635b5ce807d06b2072">badgeTitleFont</a></td></tr>
<tr class="memdesc:a264e6def38d8e0635b5ce807d06b2072"><td class="mdescLeft">&#160;</td><td class="mdescRight">badge标题字体  <a href="interface_x_h_x_tabbar.html#a264e6def38d8e0635b5ce807d06b2072">更多...</a><br /></td></tr>
<tr class="separator:a264e6def38d8e0635b5ce807d06b2072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80c7d1daf6a886d7ccc58dd4b171d2bc"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a80c7d1daf6a886d7ccc58dd4b171d2bc">leadAndTrailSpace</a></td></tr>
<tr class="memdesc:a80c7d1daf6a886d7ccc58dd4b171d2bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">tabbar边缘 与第一个和最后一个item的距离  <a href="interface_x_h_x_tabbar.html#a80c7d1daf6a886d7ccc58dd4b171d2bc">更多...</a><br /></td></tr>
<tr class="separator:a80c7d1daf6a886d7ccc58dd4b171d2bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa30963ce3b7efe12b4ac1aaa5cd4576d"><td class="memItemLeft" align="right" valign="top">NSUInteger&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aa30963ce3b7efe12b4ac1aaa5cd4576d">selectedItemIndex</a></td></tr>
<tr class="memdesc:aa30963ce3b7efe12b4ac1aaa5cd4576d"><td class="mdescLeft">&#160;</td><td class="mdescRight">选中的item下标  <a href="interface_x_h_x_tabbar.html#aa30963ce3b7efe12b4ac1aaa5cd4576d">更多...</a><br /></td></tr>
<tr class="separator:aa30963ce3b7efe12b4ac1aaa5cd4576d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d7c7009a39cdd2cded173d48404f97f"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a6d7c7009a39cdd2cded173d48404f97f">itemWidth</a></td></tr>
<tr class="separator:a6d7c7009a39cdd2cded173d48404f97f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ce3f2ef86b0a4eed4776e3715953718"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a9ce3f2ef86b0a4eed4776e3715953718">itemHeight</a></td></tr>
<tr class="separator:a9ce3f2ef86b0a4eed4776e3715953718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65f1a73400a0b6b7cf9e1f430833f2c2"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a65f1a73400a0b6b7cf9e1f430833f2c2">itemMinWidth</a></td></tr>
<tr class="separator:a65f1a73400a0b6b7cf9e1f430833f2c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a713b28a4ef3367938759b64efbc760"><td class="memItemLeft" align="right" valign="top">UIEdgeInsets&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a8a713b28a4ef3367938759b64efbc760">indicatorInsets</a></td></tr>
<tr class="separator:a8a713b28a4ef3367938759b64efbc760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1522de75a9e78fe1fe820877373d8a74"><td class="memItemLeft" align="right" valign="top">XHXTabBarIndicatorAnimationStyle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a1522de75a9e78fe1fe820877373d8a74">indicatorAnimationStyle</a></td></tr>
<tr class="memdesc:a1522de75a9e78fe1fe820877373d8a74"><td class="mdescLeft">&#160;</td><td class="mdescRight">指示器的动画类型  <a href="interface_x_h_x_tabbar.html#a1522de75a9e78fe1fe820877373d8a74">更多...</a><br /></td></tr>
<tr class="separator:a1522de75a9e78fe1fe820877373d8a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5cce7a2b27e4db3c70b9d2ddd5995d"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aae5cce7a2b27e4db3c70b9d2ddd5995d">itemFontChangeFollowContentScroll</a></td></tr>
<tr class="separator:aae5cce7a2b27e4db3c70b9d2ddd5995d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60c87b42e1e32a34e91e0cecbbda8e99"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a60c87b42e1e32a34e91e0cecbbda8e99">itemColorChangeFollowContentScroll</a></td></tr>
<tr class="separator:a60c87b42e1e32a34e91e0cecbbda8e99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6a4f150b7cdfcbcc85d5849471c5e9"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a5d6a4f150b7cdfcbcc85d5849471c5e9">indicatorScrollFollowContent</a></td></tr>
<tr class="separator:a5d6a4f150b7cdfcbcc85d5849471c5e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a337605c55ffd23d8e2e7990130ae9f9f"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a337605c55ffd23d8e2e7990130ae9f9f">itemContentHorizontalCenter</a></td></tr>
<tr class="separator:a337605c55ffd23d8e2e7990130ae9f9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00045">45</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="acfd1ca9501397500ff3b4dfb2ef6ce15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfd1ca9501397500ff3b4dfb2ef6ce15">&#9670;&nbsp;</a></span>selectedItem</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *) selectedItem </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>返回选中的item </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a447abd7695d499b7a92fdd752df9b298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a447abd7695d499b7a92fdd752df9b298">&#9670;&nbsp;</a></span>setDotBadgeMarginTop:centerMarginRight:sideLength:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setDotBadgeMarginTop: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>marginTop</em></td>
        </tr>
        <tr>
          <td class="paramkey">centerMarginRight:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>centerMarginRight</em></td>
        </tr>
        <tr>
          <td class="paramkey">sideLength:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>sideLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置小圆点Badge的位置与大小。 默认marginTop = 5，centerMarginRight = 25，sideLength = 10。</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">marginTop</td><td>与TabItem顶部的距离，默认为：5 </td></tr>
    <tr><td class="paramname">centerMarginRight</td><td>中心与TabItem右侧的距离，默认为：25 </td></tr>
    <tr><td class="paramname">sideLength</td><td>小圆点的边长，默认为：10 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a2f3d7862d354fbc676faf051a30a5de3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f3d7862d354fbc676faf051a30a5de3">&#9670;&nbsp;</a></span>setIndicatorInsets:tapSwitchAnimated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setIndicatorInsets: </td>
          <td></td>
          <td class="paramtype">(UIEdgeInsets)&#160;</td>
          <td class="paramname"><em>indicatorInsets</em></td>
        </tr>
        <tr>
          <td class="paramkey">tapSwitchAnimated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>animated</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置tabItem的选中背景，这个背景可以是一个横条。 此方法与setIndicatorWidthFixText方法互斥，后调用者生效</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">indicatorInsets</td><td>选中背景的insets </td></tr>
    <tr><td class="paramname">animated</td><td>点击item进行背景切换的时候，是否支持动画 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a3120365b63b1ca225322ac8dbbba1bf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3120365b63b1ca225322ac8dbbba1bf6">&#9670;&nbsp;</a></span>setIndicatorPosition:tapSwitchAnimated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setIndicatorPosition: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="struct_indicator_positon.html">IndicatorPositon</a>)&#160;</td>
          <td class="paramname"><em>indicatorPosition</em></td>
        </tr>
        <tr>
          <td class="paramkey">tapSwitchAnimated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>animated</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置tabItem的选中指示器的 位置 及 尺寸</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">indicatorPosition</td><td>指示器居中显示, 固定宽高，bottom指指示器离底部距离 </td></tr>
    <tr><td class="paramname">animated</td><td>点击item进行背景切换的时候，是否支持动画 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a84895d39031a0af0f7e9c60cee8c589a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84895d39031a0af0f7e9c60cee8c589a">&#9670;&nbsp;</a></span>setIndicatorSize:tapSwitchAnimated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setIndicatorSize: </td>
          <td></td>
          <td class="paramtype">(CGSize)&#160;</td>
          <td class="paramname"><em>indicatorSize</em></td>
        </tr>
        <tr>
          <td class="paramkey">tapSwitchAnimated:</td>
          <td></td>
          <td class="paramtype">((deprecated(&quot;已过期, 建议使用setIndicatorPosition:tapSwitchAnimated:替换&quot;)))&#160;</td>
          <td class="paramname"><em>__attribute__</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置tabItem的选中指示器的size 此方法与setIndicatorWidthFixText方法互斥，后调用者生效</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">indicatorSize</td><td>选中指示器的size </td></tr>
    <tr><td class="paramname">animated</td><td>点击item进行背景切换的时候，是否支持动画 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a04b146d2d9a00eea9029c0760d645dff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04b146d2d9a00eea9029c0760d645dff">&#9670;&nbsp;</a></span>setIndicatorWidthFixTextAndMarginTop:marginBottom:tapSwitchAnimated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setIndicatorWidthFixTextAndMarginTop: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>top</em></td>
        </tr>
        <tr>
          <td class="paramkey">marginBottom:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>bottom</em></td>
        </tr>
        <tr>
          <td class="paramkey">tapSwitchAnimated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>animated</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置指示器的宽度根据title宽度来匹配 此方法与setIndicatorInsets方法互斥，后调用者生效</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">top</td><td>指示器与tabItem顶部的距离 </td></tr>
    <tr><td class="paramname">bottom</td><td>指示器与tabItem底部的距离 </td></tr>
    <tr><td class="paramname">animated</td><td>点击item进行背景切换的时候，是否支持动画 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="acf0eeac5ee883e0eaca1b58139b10e04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf0eeac5ee883e0eaca1b58139b10e04">&#9670;&nbsp;</a></span>setItemContentHorizontalCenterWithVerticalOffset:spacing:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setItemContentHorizontalCenterWithVerticalOffset: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>verticalOffset</em></td>
        </tr>
        <tr>
          <td class="paramkey">spacing:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>spacing</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>将tabItem的image和title设置为居中，并且调整其在竖直方向的位置</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">verticalOffset</td><td>竖直方向的偏移量 </td></tr>
    <tr><td class="paramname">spacing</td><td>image和title的距离 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a85c939bc6e654d12c1a809486e74f40e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85c939bc6e654d12c1a809486e74f40e">&#9670;&nbsp;</a></span>setNumberBadgeMarginTop:centerMarginRight:titleHorizonalSpace:titleVerticalSpace:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setNumberBadgeMarginTop: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>marginTop</em></td>
        </tr>
        <tr>
          <td class="paramkey">centerMarginRight:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>centerMarginRight</em></td>
        </tr>
        <tr>
          <td class="paramkey">titleHorizonalSpace:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>titleHorizonalSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">titleVerticalSpace:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>titleVerticalSpace</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置数字Badge的位置与大小。 默认marginTop = 2，centerMarginRight = 30，titleHorizonalSpace = 8，titleVerticalSpace = 2。</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">marginTop</td><td>与TabItem顶部的距离，默认为：2 </td></tr>
    <tr><td class="paramname">centerMarginRight</td><td>中心与TabItem右侧的距离，默认为：30 </td></tr>
    <tr><td class="paramname">titleHorizonalSpace</td><td>标题水平方向的空间，默认为：8 </td></tr>
    <tr><td class="paramname">titleVerticalSpace</td><td>标题竖直方向的空间，默认为：2 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a7d2b891b6c4149ed725c7d6060e0eb0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d2b891b6c4149ed725c7d6060e0eb0f">&#9670;&nbsp;</a></span>setScrollEnabledAndItemFitTextWidthWithSpacing:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setScrollEnabledAndItemFitTextWidthWithSpacing: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>spacing</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="ad35ad078a3b2bc98d5684d4d403f488e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad35ad078a3b2bc98d5684d4d403f488e">&#9670;&nbsp;</a></span>setScrollEnabledAndItemFitTextWidthWithSpacing:minWidth:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) <a class="el" href="interface_x_h_x_tabbar.html#a7d2b891b6c4149ed725c7d6060e0eb0f">setScrollEnabledAndItemFitTextWidthWithSpacing:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>spacing</em></td>
        </tr>
        <tr>
          <td class="paramkey">minWidth:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>minWidth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置tabBar可以左右滑动，并且item的宽度根据标题的宽度来匹配 此方法与setScrollEnabledAndItemWidth这个方法是两种模式，哪个后调用哪个生效</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">spacing</td><td>item的宽度 = 文字宽度 + spacing </td></tr>
    <tr><td class="paramname">minWidth</td><td>item的最小宽度 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a8e637221e2895597c5549fc5bd24e75d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e637221e2895597c5549fc5bd24e75d">&#9670;&nbsp;</a></span>setScrollEnabledAndItemWidth:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setScrollEnabledAndItemWidth: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>width</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置tabBar可以左右滑动 此方法与setScrollEnabledAndItemFitTextWidthWithSpacing这个方法是两种模式，哪个后调用哪个生效</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>每个tabItem的宽度 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a084470d2209a9b1dbd3c006f24fe1d0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a084470d2209a9b1dbd3c006f24fe1d0a">&#9670;&nbsp;</a></span>setTabItemsVerticalLayout</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setTabItemsVerticalLayout </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置tabBar为竖向且支持滚动，tabItem的高度根据tabBar高度和leadAndTrailSpace属性计算 一旦调用此方法，所有跟横向相关的效果将失效，例如内容视图滚动，指示器切换动画等 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a5e59707edd0d9a341634d9b8b572d993"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e59707edd0d9a341634d9b8b572d993">&#9670;&nbsp;</a></span>setTabItemsVerticalLayoutWithItemHeight:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setTabItemsVerticalLayoutWithItemHeight: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>height</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>设置tabBar为竖向且支持滚动，一旦调用此方法，所有跟横向相关的效果将失效，例如内容视图滚动，指示器切换动画等 一旦调用此方法，所有跟横向相关的效果将失效，例如内容视图滚动，指示器切换动画等</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">height</td><td>单个tabItem的高度 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="abe90e67ab18946cc5324b5543627f55d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe90e67ab18946cc5324b5543627f55d">&#9670;&nbsp;</a></span>setTitles:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setTitles: </td>
          <td></td>
          <td class="paramtype">(NSArray &lt;NSString *&gt;*)&#160;</td>
          <td class="paramname"><em>titles</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>根据titles创建items </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="a3d945b098a2c27d15f387dc9c0619a27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d945b098a2c27d15f387dc9c0619a27">&#9670;&nbsp;</a></span>updateSubViewsWhenParentScrollViewScroll:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) updateSubViewsWhenParentScrollViewScroll: </td>
          <td></td>
          <td class="paramtype">(UIScrollView *)&#160;</td>
          <td class="paramname"><em>scrollView</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>当YPTabBar所属的YPTabBarController内容视图支持拖动切换时， 此方法用于同步内容视图scrollView拖动的偏移量，以此来改变YPTabBar内控件的状态 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="ab764aa5e1e88498b4012b3699337fcdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab764aa5e1e88498b4012b3699337fcdb">&#9670;&nbsp;</a></span>badgeBackgroundColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) badgeBackgroundColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>badge背景颜色 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00064">64</a> 行定义.</p>

</div>
</div>
<a id="a2f016a28a26a1fd8ee49b0b07101fb28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f016a28a26a1fd8ee49b0b07101fb28">&#9670;&nbsp;</a></span>badgeTitleColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) badgeTitleColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>badge标题颜色 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00066">66</a> 行定义.</p>

</div>
</div>
<a id="a264e6def38d8e0635b5ce807d06b2072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a264e6def38d8e0635b5ce807d06b2072">&#9670;&nbsp;</a></span>badgeTitleFont</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIFont*) badgeTitleFont</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>badge标题字体 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00068">68</a> 行定义.</p>

</div>
</div>
<a id="ab3e65e6a08789fb89c27445cf5e0dba0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3e65e6a08789fb89c27445cf5e0dba0">&#9670;&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate</a>&gt;) delegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00046">46</a> 行定义.</p>

</div>
</div>
<a id="a1522de75a9e78fe1fe820877373d8a74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1522de75a9e78fe1fe820877373d8a74">&#9670;&nbsp;</a></span>indicatorAnimationStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (XHXTabBarIndicatorAnimationStyle) indicatorAnimationStyle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>指示器的动画类型 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00081">81</a> 行定义.</p>

</div>
</div>
<a id="ab61cd8f6987abbc9fb6ab953cc39c3b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab61cd8f6987abbc9fb6ab953cc39c3b3">&#9670;&nbsp;</a></span>indicatorColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) indicatorColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>指示器颜色 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00049">49</a> 行定义.</p>

</div>
</div>
<a id="a8f6cd4d65bbef86bdf40025e700bba71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f6cd4d65bbef86bdf40025e700bba71">&#9670;&nbsp;</a></span>indicatorImage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImage*) indicatorImage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>指示器图片 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00051">51</a> 行定义.</p>

</div>
</div>
<a id="a8a713b28a4ef3367938759b64efbc760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a713b28a4ef3367938759b64efbc760">&#9670;&nbsp;</a></span>indicatorInsets</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIEdgeInsets) indicatorInsets</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00079">79</a> 行定义.</p>

</div>
</div>
<a id="a12d3f4746b4acba69f9cff3fb09341bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12d3f4746b4acba69f9cff3fb09341bb">&#9670;&nbsp;</a></span>indicatorRadius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) indicatorRadius</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>指示器圆角 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00053">53</a> 行定义.</p>

</div>
</div>
<a id="a5d6a4f150b7cdfcbcc85d5849471c5e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d6a4f150b7cdfcbcc85d5849471c5e9">&#9670;&nbsp;</a></span>indicatorScrollFollowContent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) indicatorScrollFollowContent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>拖动内容视图时，item的选中指示器是否随contentView滑动而移动，默认为NO </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00093">93</a> 行定义.</p>

</div>
</div>
<a id="a60c87b42e1e32a34e91e0cecbbda8e99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60c87b42e1e32a34e91e0cecbbda8e99">&#9670;&nbsp;</a></span>itemColorChangeFollowContentScroll</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) itemColorChangeFollowContentScroll</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>拖动内容视图时，item的颜色是否根据拖动位置显示渐变效果，默认为YES </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00089">89</a> 行定义.</p>

</div>
</div>
<a id="a337605c55ffd23d8e2e7990130ae9f9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a337605c55ffd23d8e2e7990130ae9f9f">&#9670;&nbsp;</a></span>itemContentHorizontalCenter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) itemContentHorizontalCenter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>将Image和Title设置为水平居中，默认为YES </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00097">97</a> 行定义.</p>

</div>
</div>
<a id="aae5cce7a2b27e4db3c70b9d2ddd5995d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae5cce7a2b27e4db3c70b9d2ddd5995d">&#9670;&nbsp;</a></span>itemFontChangeFollowContentScroll</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) itemFontChangeFollowContentScroll</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>拖动内容视图时，item的字体是否根据拖动位置显示渐变效果，默认为NO </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00085">85</a> 行定义.</p>

</div>
</div>
<a id="a9ce3f2ef86b0a4eed4776e3715953718"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ce3f2ef86b0a4eed4776e3715953718">&#9670;&nbsp;</a></span>itemHeight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemHeight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00076">76</a> 行定义.</p>

</div>
</div>
<a id="a65f1a73400a0b6b7cf9e1f430833f2c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65f1a73400a0b6b7cf9e1f430833f2c2">&#9670;&nbsp;</a></span>itemMinWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemMinWidth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00077">77</a> 行定义.</p>

</div>
</div>
<a id="afbfabce47d56f30217ee488b6bda2a1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbfabce47d56f30217ee488b6bda2a1e">&#9670;&nbsp;</a></span>items</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSArray&lt;<a class="el" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *&gt;*) items</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00047">47</a> 行定义.</p>

</div>
</div>
<a id="adee6a516a5fb149e96e648f4df5dd71d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adee6a516a5fb149e96e648f4df5dd71d">&#9670;&nbsp;</a></span>itemTitleColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) itemTitleColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>标题颜色 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00056">56</a> 行定义.</p>

</div>
</div>
<a id="ac77c5041eabf4225149e38687fc2c720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac77c5041eabf4225149e38687fc2c720">&#9670;&nbsp;</a></span>itemTitleFont</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIFont*) itemTitleFont</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>标题字体 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00060">60</a> 行定义.</p>

</div>
</div>
<a id="aa90ed32ff3e9159bd9ef774120baad42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa90ed32ff3e9159bd9ef774120baad42">&#9670;&nbsp;</a></span>itemTitleSelectedColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) itemTitleSelectedColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>选中时标题颜色 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00058">58</a> 行定义.</p>

</div>
</div>
<a id="aeac3462e1729b0f49caef4ac500dd88b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeac3462e1729b0f49caef4ac500dd88b">&#9670;&nbsp;</a></span>itemTitleSelectedFont</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIFont*) itemTitleSelectedFont</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>选中时标题字体 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00062">62</a> 行定义.</p>

</div>
</div>
<a id="a6d7c7009a39cdd2cded173d48404f97f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d7c7009a39cdd2cded173d48404f97f">&#9670;&nbsp;</a></span>itemWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemWidth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00075">75</a> 行定义.</p>

</div>
</div>
<a id="a80c7d1daf6a886d7ccc58dd4b171d2bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80c7d1daf6a886d7ccc58dd4b171d2bc">&#9670;&nbsp;</a></span>leadAndTrailSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) leadAndTrailSpace</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>tabbar边缘 与第一个和最后一个item的距离 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00071">71</a> 行定义.</p>

</div>
</div>
<a id="aa30963ce3b7efe12b4ac1aaa5cd4576d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa30963ce3b7efe12b4ac1aaa5cd4576d">&#9670;&nbsp;</a></span>selectedItemIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSUInteger) selectedItemIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>选中的item下标 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00073">73</a> 行定义.</p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/Tabbar/<a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a></li>
<li>XHXKit/Classes/Tabbar/<a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_tabbar.html">XHXTabbar</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
